package gotowe.p45_serializacja;

import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.ObjectOutputStream;

public class TestSerializacji {

	public static void main(String[] args) {
		
		Osoba osoba1 = new Osoba(33, 4444, "Ala");
		System.out.println("osoba1 utworzona\n");
		
		Osoba osoba2 = new Osoba(22, 555, "Tomek");
		System.out.println("osoba2 utworzona\n");

		osoba1.setPartner(osoba2);
		osoba2.setPartner(osoba1);
		
		System.out.println("Gatunek to "+osoba1.gatunek);
		Osoba partner = osoba1.getPartner();
		System.out.println("Partnerem jest "+partner);
		
		System.out.println("\nZapisuję...");
		try(FileOutputStream fos = new FileOutputStream("zapisane.ser");
			ObjectOutputStream os = new ObjectOutputStream(fos)) {
			os.writeObject(osoba1);
			os.writeObject(osoba2);
			
			os.writeInt(50);
			
			System.out.println("Gotowe");
			
		} catch (FileNotFoundException e) {
			e.printStackTrace();
		} catch (IOException e) {
			e.printStackTrace();
		}		
	}

}
